Skip to main content
`Ctrl`+`K`

# numpy.less_equal

numpy.less_equal(x1, x2, /, out=None, *, where=True, casting='same_kind', order='K', dtype=None, subok=True[, signature]) = <ufunc 'less_equal'>

  Return the truth value of (x1 <= x2) element-wise.

  Parameters:
    x1, x2 array_like

      Input arrays. If `x1.shape != x2.shape`, they must be broadcastable to a common shape (which becomes the shape of the output).

    out ndarray, None, or tuple of ndarray and None, optional

      A location into which the result is stored. If provided, it must have a shape that the inputs broadcast to. If not provided or None, a freshly-allocated array is returned. A tuple (possible only as a keyword argument) must have length equal to the number of outputs.

    where array_like, optional

      This condition is broadcast over the input. At locations where the condition is True, the out array will be set to the ufunc result. Elsewhere, the out array will retain its original value. Note that if an uninitialized out array is created via the default `out=None`, locations within it where the condition is False will remain uninitialized.

    **kwargs

      For other keyword-only arguments, see the ufunc docs.

  Returns:
    out ndarray or scalar

      Output array, element-wise comparison of x1 and x2. Typically of type bool, unless `dtype=object` is passed. This is a scalar if both x1 and x2 are scalars.

  See also

  `greater`, `less`, `greater_equal`, `equal`, `not_equal`

  Examples

      >>> import numpy as np
      >>> np.less_equal([4, 2, 1], [2, 2, 2])
      array([False,  True,  True])

  The `<=` operator can be used as a shorthand for `np.less_equal` on ndarrays.

      >>> a = np.array([4, 2, 1])
      >>> b = np.array([2, 2, 2])
      >>> a <= b
      array([False,  True,  True])